/*
      
*/

module BOARD_TOP
 (
  //  
  input  wire       clk_50mhz,   //  50 
  //,   "0"
  output wire [7:0] LED,         //8 , "=0" -> 
  //
  input  wire       button1,     // 1 "=0" -> 
  input  wire       button2,     // 2 "=0" -> 
  input  wire       button3,     // 3 "=0" -> 
  input  wire       button4,     // 4 "=0" -> 
  //
  output wire       buzzer,      //"=1" -> , "=0" ->  
  //----  
   //---  ,  
  output wire       SI_T_LED1,   //"=1" ->  , "=0" ->    
  output wire       SI_T_LED2,   //"=1" ->  , "=0" -> 
  output wire       SI_T_LED3,   //"=1" ->  , "=0" ->    
  output wire       SI_T_LED4,   //"=1" ->  , "=0" -> 
  output wire       SI_T_LED5,   //"=1" ->  , "=0" ->    
  output wire       SI_T_LED6,   //"=1" ->  , "=0" -> 
  output wire       SI_T_LED7,   //"=1" ->  , "=0" ->    
  output wire       SI_T_LED8,   //"=1" ->  , "=0" -> 
   //--- "" 
  output wire       SI_G_LEDA,   //"=0" -> , "=1" ->    . 
  output wire       SI_G_LEDB,   //"=0" -> , "=1" ->    .   
  output wire       SI_G_LEDC,   //"=0" -> , "=1" ->     .   
  output wire       SI_G_LEDD,   //"=0" -> , "=1" ->     .  
  output wire       SI_G_LEDE,   //"=0" -> , "=1" ->     . 
  output wire       SI_G_LEDF,   //"=0" -> , "=1" ->    .     
  output wire       SI_G_LEDG,   //"=0" -> , "=1" ->    
  output wire       SI_G_LEDDP,  //"=0" -> , "=1" ->     
  //----   
   //---  
  input  wire       PIN_24,
  input  wire       PIN_26,
  input  wire       PIN_27,
  input  wire       PIN_31,
     // -->         PIN_40,      // button1
  output wire       PIN_42,      
  output wire       PIN_44,  
  output wire       PIN_47,  
  output wire       PIN_51,  
  output wire       PIN_53,
  output wire       PIN_57,
  output wire       PIN_59,  
  output wire       PIN_63,  
     // -->         PIN_65,     // LED[0]
   //---  
  input  wire       PIN_25,
  input  wire       PIN_28,
  input  wire       PIN_30,
     // -->         PIN_32,      // buzzer
  input  wire       PIN_41,
     // -->         PIN_43,      // button1
     // -->         PIN_45,      // button4
     // -->         PIN_48,      // button2
  input  wire       PIN_52,
     // -->         PIN_55,      // SI_G_LEDE
     // -->         PIN_58,      // SI_G_LEDF
     // -->         PIN_60,      // LED[7]
  input  wire       PIN_64,
  input  wire       PIN_67
 );
 
//******************************************************
//----        -----
//assign LED[0]=cnt_LED[0];
assign LED[1]=1'b1;
assign LED[2]=1'b1;
assign LED[3]=1'b1;
assign LED[4]=cnt_div1[23];
assign LED[5]=FTDI_TXE;
assign LED[6]=1'b1;
assign LED[7]=cnt_LED[0];

assign FTDI_clk_FTDI=PIN_27;         //FTDI -> ,  
assign FTDI_TXE     =PIN_31;         //FTDI -> , "=0" ->   , "=1" - 
assign LED[0]       =FTDI_WR;        // -> FTDI, , "=0" ->  
assign PIN_42       =FTDI_data[0];   // -> FTDI, 
assign PIN_44       =FTDI_data[1];   // -> FTDI, 
assign PIN_47       =FTDI_data[2];   // -> FTDI, 
assign PIN_51       =FTDI_data[3];   // -> FTDI, 
assign PIN_53       =FTDI_data[4];   // -> FTDI, 
assign PIN_57       =FTDI_data[5];   // -> FTDI, 
assign PIN_59       =FTDI_data[6];   // -> FTDI, 
assign PIN_63       =FTDI_data[7];   // -> FTDI, 

assign buzzer=1'b1;          // 

assign SI_T_LED1=1'b1;   //"=1" -> ia naaoeony, "=0" -> naaoeony   
assign SI_T_LED2=1'b1;   //"=1" -> ia naaoeony, "=0" -> naaoeony
assign SI_T_LED3=1'b1;   //"=1" -> ia naaoeony, "=0" -> naaoeony   
assign SI_T_LED4=1'b1;   //"=1" -> ia naaoeony, "=0" -> naaoeony
assign SI_T_LED5=1'b1;   //"=1" -> ia naaoeony, "=0" -> naaoeony   
assign SI_T_LED6=1'b1;   //"=1" -> ia naaoeony, "=0" -> naaoeony
assign SI_T_LED7=1'b1;   //"=1" -> ia naaoeony, "=0" -> naaoeony   
assign SI_T_LED8=1'b1;   //"=1" -> ia naaoeony, "=0" -> naaoeony

assign SI_G_LEDA =1'b1;   //"=0" -> , "=1" ->   
assign SI_G_LEDB =1'b1;   //"=0" -> , "=1" ->     
assign SI_G_LEDC =1'b1;   //"=0" -> , "=1" ->   
assign SI_G_LEDD =1'b1;   //"=0" -> , "=1" ->     
assign SI_G_LEDE =1'b1;   //"=0" -> , "=1" ->   
assign SI_G_LEDF =1'b1;   //"=0" -> , "=1" ->     
assign SI_G_LEDG =1'b1;   //"=0" -> , "=1" ->     
assign SI_G_LEDDP=1'b1;   //"=0" -> , "=1" ->    

//******************************************************
 


reg [23:0] cnt_div;  //    
reg [23:0] cnt_div1; //     60 
reg [07:0] cnt_LED;  // 

wire clk_3Hz;        // ~2,9802 

//----   FTDI
wire        FTDI_clk_FTDI;      //FTDI -> ,  
wire        FTDI_TXE;           //FTDI -> , "=0" ->   , "=1" - 
wire [07:0] FTDI_data;          // -> FTDI, 
wire        FTDI_WR;            // -> FTDI, , "=0" ->  

//----    
assign   clk_3Hz=cnt_div[23];
always @(posedge clk_50mhz)
 begin
  cnt_div<=cnt_div+1'b1;
 end

//----  
always @(posedge clk_3Hz)
 begin
  cnt_LED<=cnt_LED+1'b1;
 end

//----   60  FTDI
always @(posedge FTDI_clk_FTDI)
 begin
  cnt_div1<=cnt_div1+1'b1;
 end


//-----  FTDI
FTDI_8bit FTDI_8bit_Tx
 (
  FTDI_clk_FTDI,  //  FTDI
  FTDI_TXE,       //   FTDI, , "=1" ->  
  FTDI_data,      //  FTDI
  FTDI_WR,        //   FTDI, , "=0" ->  
 );

 
endmodule
