/*
    FTDI
*/

module FTDI_8bit
 (
  input  wire       clk,  //  FTDI
  input  wire       TXE,  //   FTDI, , "=0" ->  
  output wire [7:0] DATA, //  FTDI
  output reg        WR    //   FTDI, , "=0" ->  
 );

assign DATA=Data2Tx;


reg [7:0] Data2Tx;
reg [8:0] cntTx;

always @(posedge clk)
 begin
  // FTDI   ,   
  WR<=TXE;
  
 end

always @(posedge clk)
 begin
  // FTDI      ,  
  if (!(WR | TXE))
   Data2Tx<=Data2Tx+1'b1;
  /*
  if (TXE)
   cntTx<=9'd0;
    else
     cntTx<=cntTx+(cntTx<500);
   
  if ((cntTx<500)  & !WR)
   Data2Tx<=Data2Tx+1'b1;
   */
 end
 

initial
 begin
  Data2Tx=8'd0;
  cntTx=9'd0;
  WR=1'b1;
 end

endmodule 

